Package org.apache.sling.models.factory

# Class PostConstructException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.models.factory.ModelClassException
org.apache.sling.models.factory.PostConstructException

All Implemented Interfaces:
  `Serializable`

@ProviderType public class PostConstructException extends ModelClassException
Exception which is triggered, whenever the post-construct method has thrown an exception. The cause (accessible via `Throwable.getCause()`) is always the original exception being thrown from the post-construct method.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PostConstructException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PostConstructException

public PostConstructException(String message, Throwable cause)

Parameters:
  `message` - some message
  `cause` - the original exception being thrown in the post-construct